[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)


# S_New4

Aufruf: S_New4 [Unteroption] [PARAMETER]...

### Beschreibung:
      -> Mit diesem Programm kann man die Download-Urls
         oder Informationen von Serien bekommen.
      -> Mit diesem Programm kann man Redirect-Links von
         s.to umwandeln.

### Unteroptionen:
	"url"		Modus um eigene Redirect-Links umzuwandeln.
	"default"	Modus um Links von Serien zu bekommen.
	"search"	Modus um Serien zu suchen.
	"info"		Modus um Infos einer Serien zu bekommen.
	"clean"		Modus um Cookie-Files zu löschen.
	"news"		Modus um neusten 75 Folgen auf s.to zu sehen.

### Verzeichnisse:
	Ordner zum zwischenspeichern der Cookies und der AccountNummer:
	  > '/home/*/.cache/S_New4/' - Linux
      > '%LocalAppData%/S_New4' - Windows
	Ordner zum speichern der Accounts und Default-Einstellungen:
	  > '/home/*/.config/S_New4/' - Linux
      > '%AppData%/S_New4' - Windows
# Compilieren


### Linux:

##### Abhängigkeiten:

```sh
  sudo apt install libcurl4-openssl-dev
```

GCC-G++:
```sh
  ./autogen.sh
```

```sh
  g++ --std=c++14 accountManager.cpp accountManager.h main.cpp pageManager.cpp pageManager.h parameterManager.cpp parameterManager.h programManager.cpp programManager.h -lcurl -lpthread -o S_New4
```

QT-Style:
```sh
  qmake && make
```

### Windows:

nutze den QT-Creator und MinGW (64Bit)
    > In dem Unterordner curl/ befinden sich die benötigten Header- und Curl-Lib-Dateien für curl
      C++ und winpthread Libs befinden sich in dem Ordner Win_64_Bit_LIBS
